# Record TCefListValue

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefListValue = record`

## Description

Structure representing a list value. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefListValue.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_values_capi.h">CEF source file: /include/capi/cef_values_capi.h (cef_list_value_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_valid: function(self: PCefListValue): Integer; stdcall;`
| `is_owned: function(self: PCefListValue): Integer; stdcall;`
| `is_read_only: function(self: PCefListValue): Integer; stdcall;`
| `is_same: function(self, that: PCefListValue): Integer; stdcall;`
| `is_equal: function(self, that: PCefListValue): Integer; stdcall;`
| `copy: function(self: PCefListValue): PCefListValue; stdcall;`
| `set_size: function(self: PCefListValue; size: NativeUInt): Integer; stdcall;`
| `get_size: function(self: PCefListValue): NativeUInt; stdcall;`
| `clear: function(self: PCefListValue): Integer; stdcall;`
| `remove: function(self: PCefListValue; index: NativeUInt): Integer; stdcall;`
| `get_type: function(self: PCefListValue; index: NativeUInt): TCefValueType; stdcall;`
| `get_value: function(self: PCefListValue; index: NativeUInt): PCefValue; stdcall;`
| `get_bool: function(self: PCefListValue; index: NativeUInt): Integer; stdcall;`
| `get_int: function(self: PCefListValue; index: NativeUInt): Integer; stdcall;`
| `get_double: function(self: PCefListValue; index: NativeUInt): Double; stdcall;`
| `get_string: function(self: PCefListValue; index: NativeUInt): PCefStringUserFree; stdcall;`
| `get_binary: function(self: PCefListValue; index: NativeUInt): PCefBinaryValue; stdcall;`
| `get_dictionary: function(self: PCefListValue; index: NativeUInt): PCefDictionaryValue; stdcall;`
| `get_list: function(self: PCefListValue; index: NativeUInt): PCefListValue; stdcall;`
| `set_value: function(self: PCefListValue; index: NativeUInt; value: PCefValue): Integer; stdcall;`
| `set_null: function(self: PCefListValue; index: NativeUInt): Integer; stdcall;`
| `set_bool: function(self: PCefListValue; index: NativeUInt; value: Integer): Integer; stdcall;`
| `set_int: function(self: PCefListValue; index: NativeUInt; value: Integer): Integer; stdcall;`
| `set_double: function(self: PCefListValue; index: NativeUInt; value: Double): Integer; stdcall;`
| `set_string: function(self: PCefListValue; index: NativeUInt; value: PCefString): Integer; stdcall;`
| `set_binary: function(self: PCefListValue; index: NativeUInt; value: PCefBinaryValue): Integer; stdcall;`
| `set_dictionary: function(self: PCefListValue; index: NativeUInt; value: PCefDictionaryValue): Integer; stdcall;`
| `set_list: function(self: PCefListValue; index: NativeUInt; value: PCefListValue): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_valid: function(self: PCefListValue): Integer; stdcall;`
This item has no description.

| `is_owned: function(self: PCefListValue): Integer; stdcall;`
This item has no description.

| `is_read_only: function(self: PCefListValue): Integer; stdcall;`
This item has no description.

| `is_same: function(self, that: PCefListValue): Integer; stdcall;`
This item has no description.

| `is_equal: function(self, that: PCefListValue): Integer; stdcall;`
This item has no description.

| `copy: function(self: PCefListValue): PCefListValue; stdcall;`
This item has no description.

| `set_size: function(self: PCefListValue; size: NativeUInt): Integer; stdcall;`
This item has no description.

| `get_size: function(self: PCefListValue): NativeUInt; stdcall;`
This item has no description.

| `clear: function(self: PCefListValue): Integer; stdcall;`
This item has no description.

| `remove: function(self: PCefListValue; index: NativeUInt): Integer; stdcall;`
This item has no description.

| `get_type: function(self: PCefListValue; index: NativeUInt): TCefValueType; stdcall;`
This item has no description.

| `get_value: function(self: PCefListValue; index: NativeUInt): PCefValue; stdcall;`
This item has no description.

| `get_bool: function(self: PCefListValue; index: NativeUInt): Integer; stdcall;`
This item has no description.

| `get_int: function(self: PCefListValue; index: NativeUInt): Integer; stdcall;`
This item has no description.

| `get_double: function(self: PCefListValue; index: NativeUInt): Double; stdcall;`
This item has no description.

| `get_string: function(self: PCefListValue; index: NativeUInt): PCefStringUserFree; stdcall;`
This item has no description.

| `get_binary: function(self: PCefListValue; index: NativeUInt): PCefBinaryValue; stdcall;`
This item has no description.

| `get_dictionary: function(self: PCefListValue; index: NativeUInt): PCefDictionaryValue; stdcall;`
This item has no description.

| `get_list: function(self: PCefListValue; index: NativeUInt): PCefListValue; stdcall;`
This item has no description.

| `set_value: function(self: PCefListValue; index: NativeUInt; value: PCefValue): Integer; stdcall;`
This item has no description.

| `set_null: function(self: PCefListValue; index: NativeUInt): Integer; stdcall;`
This item has no description.

| `set_bool: function(self: PCefListValue; index: NativeUInt; value: Integer): Integer; stdcall;`
This item has no description.

| `set_int: function(self: PCefListValue; index: NativeUInt; value: Integer): Integer; stdcall;`
This item has no description.

| `set_double: function(self: PCefListValue; index: NativeUInt; value: Double): Integer; stdcall;`
This item has no description.

| `set_string: function(self: PCefListValue; index: NativeUInt; value: PCefString): Integer; stdcall;`
This item has no description.

| `set_binary: function(self: PCefListValue; index: NativeUInt; value: PCefBinaryValue): Integer; stdcall;`
This item has no description.

| `set_dictionary: function(self: PCefListValue; index: NativeUInt; value: PCefDictionaryValue): Integer; stdcall;`
This item has no description.

| `set_list: function(self: PCefListValue; index: NativeUInt; value: PCefListValue): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.